<!doctype html>
<html xmlns:th="http://www.thymeleaf.org">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="favicon.ico">

    <title>EmpleosApp | Listado de Categorías</title>
    <!-- Bootstrap core CSS -->
    <link th:href="@{/bootstrap/css/bootstrap.min.css}" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link th:href="@{/bootstrap/css/jumbotron.css}" rel="stylesheet">
    <link th:href="@{/bootstrap/css/sticky-footer-navbar.css}" rel="stylesheet">
    <link href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" rel="stylesheet">
  </head>

  <body>

    <!-- HEADER -->
	<header th:insert="fragments/menu :: menu-principal"></header>

    <main role="main">     
      <hr>
      <div class="container"> 

        <div class="card">
          <h4 class="card-header"><strong>Listado de Categorías</strong></h4>              
          <div class="card-body">
            <a class="btn btn-primary" th:href="@{/categorias/create}" role="button"><i class="fas fa-file" aria-hidden="true"></i> Nueva</a>            
            <hr>
            
              
            <!-- MENSAJE CONFIRMACION GUARDADO. Si msg es distinto a nulo, renderiza -->
            <div th:if = "${msg != null}" th:text = "${msg}" class="alert alert-success" role="alert"></div>
            
            <table class="table table-hover">
              <thead class="thead-light">
                <tr>
                  <th scope="col">Id</th>
                  <th scope="col">Nombre</th>
                  <th scope="col">Descripción</th>
                  <th scope="col">Operaciones</th>
                </tr>
              </thead>
              <tbody>
                <tr th:each="item: ${categorias}">
                  <th scope="row" th:text = "${item.id}">1</th>
                  <td th:text = "${item.nombre}"></td>
                  <td th:text = "${item.descripcion}"></td>
                  <td>
                  	<!-- PathVariable -->
                    <a th:href="@{/categorias/edit/{id} (id=${item.id} )}" class="btn btn-success btn-sm" role="button" title="Editar"><i class="fas fa-pencil-alt" aria-hidden="true"></i></a>
                    <!-- RequestParam -->
                    <a th:href="@{/categorias/delete (id=${item.id}) }" onclick="return confirm('¿Estas seguro?')" class="btn btn-success btn-sm" role="button" title="Eliminar"><i class="fas fa-trash" aria-hidden="true"></i></a>
                  </td>
                </tr>              
              </tbody>
            </table>
            
             <!-- Paginacion -->
            <nav th:if="${categorias.totalPages > 0}" aria-label="Page navigation example">
	            <ul class="pagination">
	            	<li class="page-item"><a th:href="@{/categorias/indexPaginate(page=${categorias.number - 1})}" class="page-link">Anterior</a></li>
	            	<li class="page-item"><a th:href="@{/categorias/indexPaginate(page=${categorias.number + 1})}" class="page-link">Siguiente</a></li>
	            </ul>
            </nav>
            
          </div>
        </div>
      </div> <!-- /container -->

    </main>

    <!-- FOOTER -->
    <footer class="footer" th:insert="fragments/footer:: pie-pagina"></footer>

    <!-- Bootstrap core JavaScript
    ================================================== -->
    <!-- Placed at the end of the document so the pages load faster -->
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"></script>
    <script th:src="@{/bootstrap/js/bootstrap.min.js}"></script>     
  </body>
</html>